Bug 232867 - gdal-config --libs returns -L/usr/lib
gdal-config --libs returns -L/usr/lib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-19 00:48 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-21 13:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-03-19 00:48:22 EDT
Description of problem:

# gdal-config --libs
-L/usr/lib -lgdal

/usr/lib is part of the system library search path and must not be explicitly
returned by *-config scripts

(cf. how pkg-config handles libdir=/usr/lib. It filters it out)

Version-Release number of selected component (if applicable):
gdal-1.4.0-16.fc6

Expected results:
gdal-config --libs not to return /usr/lib (rsp. /usr/lib64) in returned string.
Comment 1 Balint Cristian 2007-03-21 13:26:43 EDT
In nextrelease:

rpm -q gdal
gdal-1.4.0-18

[root@rezso SPECS]# gdal-config --libs
-lgdal


Note You need to log in before you can comment on or make changes to this bug.